"use strict";

exports.__esModule = true;
exports.Switch = void 0;

var _chakraUiCheckbox = require("@hackr/chakra-ui-checkbox");

var _chakraUiSystem = require("@hackr/chakra-ui-system");

var _chakraUiUtils = require("@hackr/chakra-ui-utils");

var React = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Switch = /*#__PURE__*/(0, _chakraUiSystem.forwardRef)(function Switch(props, ref) {
  var styles = (0, _chakraUiSystem.useMultiStyleConfig)("Switch", props);
  var ownProps = (0, _chakraUiSystem.omitThemingProps)(props);

  var _useCheckbox = (0, _chakraUiCheckbox.useCheckbox)(ownProps),
      state = _useCheckbox.state,
      getInputProps = _useCheckbox.getInputProps,
      getCheckboxProps = _useCheckbox.getCheckboxProps,
      htmlProps = _useCheckbox.htmlProps;

  var inputProps = getInputProps({}, ref);
  var checkboxProps = getCheckboxProps();
  var labelStyles = {
    display: "inline-block",
    verticalAlign: "middle",
    lineHeight: "normal"
  };

  var trackStyles = _extends({
    display: "inline-flex",
    flexShrink: 0,
    justifyContent: "flex-start",
    boxSizing: "content-box",
    cursor: "pointer"
  }, styles.track);

  return /*#__PURE__*/React.createElement(_chakraUiSystem.chakra.label, _extends({}, htmlProps, {
    className: (0, _chakraUiUtils.cx)("chakra-switch", props.className),
    __css: labelStyles
  }), /*#__PURE__*/React.createElement("input", _extends({
    className: "chakra-switch__input"
  }, inputProps)), /*#__PURE__*/React.createElement(_chakraUiSystem.chakra.span, _extends({}, checkboxProps, {
    className: "chakra-switch__track",
    __css: trackStyles
  }), /*#__PURE__*/React.createElement(_chakraUiSystem.chakra.span, {
    __css: styles.thumb,
    className: "chakra-switch__thumb",
    "data-checked": (0, _chakraUiUtils.dataAttr)(state.isChecked),
    "data-hover": (0, _chakraUiUtils.dataAttr)(state.isHovered)
  })));
});
exports.Switch = Switch;

if (_chakraUiUtils.__DEV__) {
  Switch.displayName = "Switch";
}
//# sourceMappingURL=switch.js.map